Package icyllis.modernui.text

# Class CharSequenceIterator

java.lang.Object
icyllis.modernui.text.CharSequenceIterator

All Implemented Interfaces:
  `Cloneable`, `CharacterIterator`

public class CharSequenceIterator extends Object implements CharacterIterator
An implementation of `CharacterIterator` that iterates over a given CharSequence.

- ## Field Summary

  ### Fields inherited from interface java.text.CharacterIterator

  `DONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharSequenceIterator(CharSequence text, int start, int end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `char`
  `current()`
  `char`
  `first()`
  `int`
  `getBeginIndex()`
  `int`
  `getEndIndex()`
  `int`
  `getIndex()`
  `char`
  `last()`
  `char`
  `next()`
  `char`
  `previous()`
  `char`
  `setIndex(int position)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CharSequenceIterator

    public CharSequenceIterator(@Nonnull CharSequence text, int start, int end)

- ## Method Details

  - ### first

    public char first()
    Specified by:
      `first` in interface `CharacterIterator`

  - ### last

    public char last()
    Specified by:
      `last` in interface `CharacterIterator`

  - ### current

    public char current()
    Specified by:
      `current` in interface `CharacterIterator`

  - ### next

    public char next()
    Specified by:
      `next` in interface `CharacterIterator`

  - ### previous

    public char previous()
    Specified by:
      `previous` in interface `CharacterIterator`

  - ### setIndex

    public char setIndex(int position)
    Specified by:
      `setIndex` in interface `CharacterIterator`

  - ### getBeginIndex

    public int getBeginIndex()
    Specified by:
      `getBeginIndex` in interface `CharacterIterator`

  - ### getEndIndex

    public int getEndIndex()
    Specified by:
      `getEndIndex` in interface `CharacterIterator`

  - ### getIndex

    public int getIndex()
    Specified by:
      `getIndex` in interface `CharacterIterator`

  - ### clone

    public Object clone()
    Specified by:
      `clone` in interface `CharacterIterator`
    Overrides:
      `clone` in class `Object`